<?php
/*##################################################
 *                                admin_contribution.php
 *                            -------------------
 *   begin              : October 22, 2009
 *   copyright          : (C) 2009 Roguelon Geoffrey, Nicolas ????
 *   email              : liaght@gmail.com
 *
 *
 ###################################################
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
###################################################*/

require_once('../admin/admin_begin.php');
define('TITLE', $LANG['administration']);
require_once('../admin/admin_header.php');
require_once('contribution_constant.php');

// Chargement de la langue.
load_module_lang('contribution');

// Chargement du cache.
$Cache->load('contribution');

// Rcupration du module demand.
$module = retrieve(REQUEST, 'module', 'articles', TSTRING);

$tpl_admin = new Template('contribution/admin_contribution.tpl');

import('io/filesystem/folder');
$contribution_folder = new Folder('.');

foreach($contribution_folder->get_files('`[a-z_]_admin_contrib.php`') as $value) // On recherche tous les modules grs par la contribution.
{
	$file = str_replace('./', '', $value->path);
	$name = str_replace('_admin_contrib.php', '', $file);

	$tpl_admin->assign_block_vars('menu', array(
		'NAME' => $name,
		'FILE' => 'admin_contribution.php?module=' . $name
	));

	if ($module == $name)
	{
		require_once PATH_TO_ROOT . '/contribution/' . $file; // On inclut le fichier qui s'occupera des actions.

		$tpl_admin->assign_block_vars('module', array('ADMIN' => $admin));
	}
}

$tpl_admin->parse();

require_once('../admin/admin_footer.php');

?>