<?php
/*##################################################
 *                                articles_admin_contribution.php
 *                            -------------------
 *   begin              : October 22, 2009
 *   copyright          : (C) 2009 Roguelon Geoffrey, Nicolas ????
 *   email              : liaght@gmail.com
 *
 *
 ###################################################
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
###################################################*/

if (!empty($_POST['submit']))
{
	$CONTRIBUTION['articles'] = array(
		'auth' => Authorizations::build_auth_array_from_form(AUTH_CONTRIB_CONTRIBUTE, AUTH_CONTRIB_WRITE, AUTH_CONTRIB_MODERATE),
		'cats' => retrieve(POST, 'auth_cats', array(), TARRAY)
	);

	$Sql->query_inject("UPDATE " . DB_TABLE_CONFIGS . " SET value = '" . addslashes(serialize($CONTRIBUTION)) . "' WHERE name = 'contribution'", __LINE__, __FILE__);

	###### Rgnration du cache #######
	$Cache->Generate_module_file('contribution');

	redirect(HOST . SCRIPT . '?module=articles');
}
else
{
	$tpl = new Template('contribution/admin_articles.tpl');

	$auth = !empty($CONTRIBUTION['articles']['auth']) ? $CONTRIBUTION['articles']['auth'] : array('r0' => 1, 'r1' => 7);

	$tpl->assign_vars(array(
		'AUTH_WRITE' => Authorizations::generate_select(AUTH_CONTRIB_WRITE, $auth),
		'AUTH_CONTRIBUTION' => Authorizations::generate_select(AUTH_CONTRIB_CONTRIBUTE, $auth),
		'AUTH_MODERATION' => Authorizations::generate_select(AUTH_CONTRIB_MODERATE, $auth),
		'L_AUTH_CATS' => $CONTRIB_LANG['auth_cats'],
		'L_AUTH_WRITE' => $CONTRIB_LANG['auth_write'],
		'L_AUTH_MODERATION' => $CONTRIB_LANG['auth_moderate'],
		'L_AUTH_CONTRIBUTION' => $CONTRIB_LANG['auth_contribute'],
		'L_ARTICLES' => $CONTRIB_ARTICLES_LANG['articles'],
		'L_SUBMIT' => $LANG['submit'],
		'L_RESET' => $LANG['reset']
	));

	// Catgories.
	$CAT_ARTICLES = array();
	$CAT_ARTICLES['0'] = array('name' => $LANG['root'], 'level' => 0);
	$Cache->load('articles');

	foreach ($CAT_ARTICLES as $key => $array)
	{
		if ($array['level'] == 0)
		{
			$i = 1;
		}
		elseif ($level < $array['level'])
		{
			$i++;
		}

		$tpl->assign_block_vars('cats', array(
			'ID' => $key,
			'NAME' => str_repeat("--", $i) . '&nbsp;' . $array['name'],
			'SELECTED' => in_array($key, !empty($CONTRIBUTION['articles']['cats']) ? $CONTRIBUTION['articles']['cats'] : array())
		));

		$level = $array['level'];
	}

	$admin = $tpl->parse(TEMPLATE_STRING_MODE); // traitement du modele.
}

?>