<?php
/*##################################################
 *                                web_admin_contribution.php
 *                            -------------------
 *   begin              : October 22, 2009
 *   copyright          : (C) 2009 Roguelon Geoffrey, Nicolas ????
 *   email              : liaght@gmail.com
 *
 *
 ###################################################
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
###################################################*/

if (!empty($_POST['submit']))
{
	$CONTRIBUTION['web'] = array(
		'auth' => Authorizations::build_auth_array_from_form(AUTH_CONTRIB_CONTRIBUTE, AUTH_CONTRIB_WRITE, AUTH_CONTRIB_MODERATE),
		'cats' => retrieve(POST, 'auth_cats', array(), TARRAY)
	);

	$Sql->query_inject("UPDATE " . DB_TABLE_CONFIGS . " SET value = '" . addslashes(serialize($CONTRIBUTION)) . "' WHERE name = 'contribution'", __LINE__, __FILE__);

	###### Rgnration du cache #######
	$Cache->Generate_module_file('contribution');

	redirect(HOST . SCRIPT . '?module=web');
}
else
{
	$tpl = new Template('contribution/admin_web.tpl');

	$auth = !empty($CONTRIBUTION['web']['auth']) ? $CONTRIBUTION['web']['auth'] : array('r0' => 1, 'r1' => 7);

	$tpl->assign_vars(array(
		'AUTH_WRITE' => Authorizations::generate_select(AUTH_CONTRIB_WRITE, $auth),
		'AUTH_CONTRIBUTION' => Authorizations::generate_select(AUTH_CONTRIB_CONTRIBUTE, $auth),
		'AUTH_MODERATION' => Authorizations::generate_select(AUTH_CONTRIB_MODERATE, $auth),
		'L_AUTH_CATS' => $CONTRIB_LANG['auth_cats'],
		'L_AUTH_WRITE' => $CONTRIB_LANG['auth_write'],
		'L_AUTH_MODERATION' => $CONTRIB_LANG['auth_moderate'],
		'L_AUTH_CONTRIBUTION' => $CONTRIB_LANG['auth_contribute'],
		'L_WEB' => $CONTRIB_WEB_LANG['web'],
		'L_SUBMIT' => $LANG['submit'],
		'L_RESET' => $LANG['reset']
	));

	// Catgories.
	$i = 0;
	$result = $Sql->query_while("SELECT id, name FROM " . PREFIX . "web_cat", __LINE__, __FILE__);
	while ($cat = $Sql->fetch_assoc($result))
	{
		$tpl->assign_block_vars('cats', array(
			'ID' => $cat['id'],
			'NAME' => $cat['name'],
			'SELECTED' => in_array($cat['id'], $CONTRIBUTION['web']['cats'])
		));

		$i++;
	}
	$Sql->query_close($result);

	$admin = $tpl->parse(TEMPLATE_STRING_MODE); // traitement du modele.
}

?>